Bug 1662600 - [abrt] asymptote: module(): xasy:4:<module>:ModuleNotFoundError: No module named 'PyQt5'
Summary: [abrt] asymptote: module(): xasy:4:<module>:ModuleNotFoundError: No module na...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: asymptote
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f0f4a763e67a3be78ea3a0f4895...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-30 17:44 UTC by aten
Modified: 2019-01-29 03:00 UTC (History)
2 users (show)

Fixed In Version: asymptote-2.47-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-29 02:54:35 UTC


Attachments (Terms of Use)
File: backtrace (546 bytes, text/plain)
2018-12-30 17:44 UTC, aten
no flags Details
File: cgroup (349 bytes, text/plain)
2018-12-30 17:44 UTC, aten
no flags Details
File: cpuinfo (1.20 KB, text/plain)
2018-12-30 17:44 UTC, aten
no flags Details
File: environ (1.64 KB, text/plain)
2018-12-30 17:44 UTC, aten
no flags Details
File: mountinfo (3.58 KB, text/plain)
2018-12-30 17:44 UTC, aten
no flags Details
File: namespaces (129 bytes, text/plain)
2018-12-30 17:44 UTC, aten
no flags Details
File: open_fds (270 bytes, text/plain)
2018-12-30 17:44 UTC, aten
no flags Details

Description aten 2018-12-30 17:44:32 UTC
Description of problem:
clicked on xasy item in main menu, abrt triggered

Starting xasy it from terminal produces this:

Traceback (most recent call last):
  File "/usr/bin/xasy", line 4, in <module>
    import PyQt5.QtWidgets as Qw
ModuleNotFoundError: No module named 'PyQt5'


Version-Release number of selected component:
asymptote-2.46-1.fc29

Additional info:
reporter:       libreport-2.9.7
cmdline:        /usr/bin/python3 /usr/bin/xasy
crash_function: module
exception_type: ModuleNotFoundError
executable:     /usr/bin/xasy
interpreter:    python3-3.7.1-4.fc29.x86_64
kernel:         4.19.10-300.fc29.x86_64
runlevel:       N 5
type:           Python3
uid:            1001

Truncated backtrace:
xasy:4:<module>:ModuleNotFoundError: No module named 'PyQt5'

Traceback (most recent call last):
  File "/usr/bin/xasy", line 4, in <module>
    import PyQt5.QtWidgets as Qw
ModuleNotFoundError: No module named 'PyQt5'

Local variables in innermost frame:
__name__: '__main__'
__doc__: None
__package__: None
__loader__: <_frozen_importlib_external.SourceFileLoader object at 0x7f041f1bba90>
__spec__: None
__annotations__: {}
__builtins__: <module 'builtins' (built-in)>
__file__: '/usr/bin/xasy'
__cached__: None
sys: <module 'sys' (built-in)>

Comment 1 aten 2018-12-30 17:44:39 UTC
Created attachment 1517501 [details]
File: backtrace

Comment 2 aten 2018-12-30 17:44:39 UTC
Created attachment 1517502 [details]
File: cgroup

Comment 3 aten 2018-12-30 17:44:41 UTC
Created attachment 1517503 [details]
File: cpuinfo

Comment 4 aten 2018-12-30 17:44:42 UTC
Created attachment 1517504 [details]
File: environ

Comment 5 aten 2018-12-30 17:44:43 UTC
Created attachment 1517505 [details]
File: mountinfo

Comment 6 aten 2018-12-30 17:44:44 UTC
Created attachment 1517506 [details]
File: namespaces

Comment 7 aten 2018-12-30 17:44:45 UTC
Created attachment 1517507 [details]
File: open_fds

Comment 8 Fedora Update System 2019-01-18 21:32:30 UTC
python-speg-0.3-2.git877acdd.fc29 python-cson-0.7-2.fc29 asymptote-2.47-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cbfd912f90

Comment 9 Fedora Update System 2019-01-18 21:32:37 UTC
python-speg-0.3-2.git877acdd.fc28 python-cson-0.7-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b848d904a7

Comment 10 Fedora Update System 2019-01-19 01:43:55 UTC
python-cson-0.7-2.fc28, python-speg-0.3-2.git877acdd.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b848d904a7

Comment 11 Fedora Update System 2019-01-19 04:28:58 UTC
asymptote-2.47-2.fc29, python-cson-0.7-2.fc29, python-speg-0.3-2.git877acdd.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cbfd912f90

Comment 12 Fedora Update System 2019-01-29 02:54:35 UTC
asymptote-2.47-2.fc29, python-cson-0.7-2.fc29, python-speg-0.3-2.git877acdd.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-01-29 03:00:32 UTC
python-cson-0.7-2.fc28, python-speg-0.3-2.git877acdd.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.